## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global commit e87e11f1a10af8aab4e0ceaade0bc7807f207eb1
%global snapdate 20250325

Name:           c4project
Summary:        Useful CMake scripts
# This project has never been assigned a version. The author really intends it
# for use as a git submodule rather than for system-wide installation.
Version:        0^%{snapdate}git%{sub %{commit} 1 7}
Release:        %autorelease

URL:            https://github.com/biojppm/cmake
# The entire source is MIT, except Toolchain-PS4.cmake and
# Toolchain-XBoxOne.cmake, which are Apache-2.0.
License:        MIT AND Apache-2.0
Source:         %{url}/archive/%{commit}/cmake-%{commit}.tar.gz

BuildArch:      noarch

Requires:       cmake-filesystem
Requires:       git-core

%global common_description %{expand:
%{summary}.}

%description %{common_description}


%prep
%autosetup -n cmake-%{commit}

# For now, we elect not to install the “bm-xp” browser-based benchmark explorer
# tool. It would be inconvenient to package this in a way that was useful in
# practice, and it’s not required by any of the CMake macros that are the real
# point of packaging this.
rm -rvf 'bm-xp'


%build
# Nothing to do


%install
install -d '%{buildroot}%{_datadir}/cmake/c4project'
# We install a copy of the repository, but we don’t want to include dotfiles or
# duplicate the README and LICENSE files.
find . -mindepth 1 -maxdepth 1 ! -name '.*' \( -type d -o \
    -type f ! -name 'README.md' ! -name 'LICENSE.txt' \) \
    -execdir cp -vrp '{}' '%{buildroot}%{_datadir}/cmake/c4project' ';'


%check
# No upstream tests


%files
%license LICENSE.txt
%doc README.md

%{_datadir}/cmake/c4project


%changelog
## START: Generated by rpmautospec
* Fri Apr 11 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 0^20250325gite87e11f-1
- Update to 0^20250325gite87e11f: fix errors with cmake4

* Sat Feb 15 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 0^20250212gitb8e95ac-1
- Update to 0^20250212gitb8e95ac (adds -Wundef)

* Sat Feb 08 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 0^20250124git386e367-1
- Update to 0^20250124git386e367

* Thu Jan 16 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0^20240630git08b1e26-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Aug 16 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0^20240630git08b1e26-1
- Update to 0^20240630git08b1e26

* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0^20240419gitfd7b384-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu Apr 25 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0^20240419gitfd7b384-1
- Update to 0^20240419gitfd7b384

* Sun Mar 10 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0^20230904git9059c98-6
- Don’t install duplicate README.md and LICENSE.txt files

* Tue Jan 23 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0^20230904git9059c98-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0^20230904git9059c98-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Nov 01 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0^20230904git9059c98-1
- Update to 0^20230904git9059c98

* Sun Jul 16 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0^20230525gita1f9d73-1
- Update to 0^20230525gita1f9d73

* Thu May 25 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0^20230512gitef46370-1
- Update to ef46370

* Tue Apr 11 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0^20230410git0fb4dd1-1
- Update to 0fb4dd1

* Wed Jan 18 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0^20221119git95b2410-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sun Dec 18 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 0^20221119git95b2410-1
- Update to 95b2410e with minor fixes

* Tue Aug 30 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 0^20220823git9fa06ca-1
- Update to 9fa06ca

* Fri Aug 05 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 0^20220804gitd99c4be-1
- Update to d99c4be (patch upstreamed)

* Thu Aug 04 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 0^20220802git2825506-2
- Patch: Add s390x to c4_get_target_cpu_architecture

* Thu Aug 04 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 0^20220802git2825506-1
- Update to 2825506

* Sun Jul 31 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 0^20220226git41a3a29-4
- Update License field to SPDX

* Wed Jul 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0^20220226git41a3a29-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Apr 20 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 0^20220226git41a3a29-2
- Reduce macro indirection in the spec file

* Sat Feb 26 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 0^20220226git41a3a29-1
- Update to 41a3a29; move snapshot info from release to version

* Wed Jan 19 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Jan 05 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 0-6
- Update to 9416f29

* Mon Dec 27 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 0-5
- Add dependency on git-core for c4_proj_get_version

* Mon Dec 27 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 0-4
- Update to 7a35d94

* Wed Nov 03 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 0-3
- Simplify %%%%install section

* Wed Nov 03 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 0-2
- Update to 8e2a2bf
- [fix] fix install tests for aarch64
- [impl] add facilities to extract predefined CPU arch macros

* Mon Aug 16 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 0-1
- Initial package
## END: Generated by rpmautospec
